Informações das atualizações do começo do mês no Manjaro

Devido ao problema com nosso hardware informado aqui, não pudemos fazer as postagens com as últimas atualizações do Manjaro. Eu sei que poucos usuários lêem elas, gostaria de informar que sempre é adicionado o link para o fórum do Manjaro que conterá as correções necessárias se acaso precisar, e claro, conterá as correções dos erros conhecidos.

Sabemos que nosso blog aumentaria e muito os acessos se fizéssemos postagens com as correções desses erros, mas não fazemos para que você (leitor) pegue o habito com o tempo conseguir achar e corrigir os erros sozinho. O link sempre estará no final das postagens das atualizações, basta conferir se existe algum possível erro quando sair uma nova atualização.

Voltando para o foco da postagem agora, hoje vou informar como corrigir a mensagem que está aparecendo ao fazer uma instalação ou atualização no Manjaro 64 bits (x86_64). A mensagem abaixo aparecerá se você instalar, atualizar (pacotes ou o sistema), sincronizar a base de dados, etc….

Screenshot_20181205_195934

Isso é devido ao downgrade desses pacotes feito pela equipe do Manjaro, e como de costume o modo de remover essa mensagem está descrito na postagem da atualização no fórum do Manjaro, aqui. No link também contem mais algumas informações, tipo o problemas que alguns possam passar que é o congelamento do Pamac ao tentar atualizar.

Para remover a mensagem mostrada na imagem ou alguma parecida no futuro, basta utilizar um do comandos abaixo.

Pamac

pamac upgrade –enable-downgrade

 

Octopi

sudo pacman -Syyuu

Após isso é só digitar S para confirmar o downgrade.

 

Agora vamos informar sobre o Manjaro 32 bits (i686), para aqueles que utilizam o ramo estável devem ter encontrado um erro ao tentar fazer a atualização assim que foi notificado, isso aconteceu por causa que estava faltando os pacotes python-pep517 e python2-pep517. Aqueles que utilizam os repositórios do blog podem nem ter percebido isso, já que assim que identificamos o erro, enviamos os dois pacotes para o nosso repositório e eles acabaram atualizando sem essa mensagem de erro.

Ontem foi feita uma nova atualização para o 32 bits (i686) e foram adicionados os pacotes mencionados acima e nos já removemos eles do nosso repositório (como podem ver nesse commit). Com essa nova atualização apareceu uma importante informação para quem utiliza o Manjaro 32 bits (i686) no ramo estável (x32-stable), devido somente uma pessoa estar gerenciando as atualizações do Manjaro 32 bits, ele recomenda fortemente para aquelas pessoas que tem uma maior necessidade de receber as atualizações de segurança o mais rápido possível, que mudem para o ramo de testes (x32-testing), como mencionado aqui.

 

Se você encontrar o erro mostrado abaixo ou algum outro parecido, não é erro nos repositórios do blog, é problema com o DNS que você está utilizando ou algum “problema” no Pamac. Após alterar o DNS ou alterar as configurações do Pamac o erro não irá acontecer.

Warning: failed to retrieve file “package name” from “repository”: Cloud not resolve host: gitlab.io

erro-dns-repository

Altere o seu DNS e tente novamente, se mesmo assim o erro persistir, entre nas configurações do Pamac e desmarque a opção de baixar as atualizações automaticamente e deixe em zero a opção do máximo de downloads paralelos.

Screenshot_20181209_170615

 

Quero aproveitar este espaço para pedir aos leitores do blog que entrarem em contato conosco independente do local, que perguntem se o erro é por causa dos nossos repositórios antes, pois em algumas ocasiões foi afirmado que o erro era por nossa causa e além disso o respeito ao colega de distribuição que só está querendo ajudar passou longe durante tal afirmação sem nenhum fundamento (suposições não conta). Eu sou um ser humano como você, e em alguns momentos posso acabar respondendo no mesmo tom que foi utilizado por você, e como na maioria das vezes essas pessoas só perguntam no privado/particular, ainda agem de má fé e esquecem do seu desrespeito e só lembram da parte que eu o respondi na mesma tonalidade.

 

 

 

 

 

Caso algum programa que você goste ainda não tenha uma versão para Manjaro, por favor, escreva nos comentários o nome do programa que iremos procurar por algum equivalente ou, se possível a portabilidade para Manjaro, entraremos em contato com desenvolvedores.

Por favor, não deixe de compartilhar nas redes sociais as publicações deste blog, pois nosso incentivo para produzir um conteúdo bacana é saber que estamos ajudando pessoas a conhecer cada vez mais as funcionalidades dessa maravilhosa distro Linux.

Facebook

Twitter

Google+

Canal no Telegram

Deixe um comentário

Faça o login usando um destes métodos para comentar:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google

Você está comentando utilizando sua conta Google. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

Conectando a %s

Este site utiliza o Akismet para reduzir spam. Saiba como seus dados em comentários são processados.